List log entries
List all of the incident log entries across the entire account.
A log of all the events that happen to an Incident, and these are exposed as Log Entries.
For more information see the API Concepts Document
Scoped OAuth requires: incidents.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
The number of results per page.
Offset to start pagination search results.
By default the total field in pagination responses is set to null to provide the fastest possible response times. Set total to true for this field to be populated.
See our Pagination Docs for more information.
falseTime zone in which results will be rendered. This will default to the account time zone.
tzinfoThe start of the date range over which you want to search.
date-timeThe end of the date range over which you want to search.
date-timeIf true, will return a subset of log entries that show only the most important changes to the incident.
falseArray of additional Models to include in response.
Value in
- "incidents"
- "services"
- "channels"
- "teams"
An array of team IDs. Only results related to these teams will be returned. Account must have the teams ability to use this parameter.
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
Get a log entry GET
Get details for a specific incident log entry. This method provides additional information you can use to get at raw event data. A log of all the events that happen to an Incident, and these are exposed as Log Entries. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#log-entries) Scoped OAuth requires: `incidents.read`
Update log entry channel information. PUT
Update an existing incident log entry channel. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#log-entries) Scoped OAuth requires: `incidents.write`